%define		kdeappsver	19.04.1
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		juk
Summary:	Juk
Name:		ka5-%{kaname}
Version:	19.04.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Multimedia
Source0:	http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	4f5934d76c96383ade4cb70116ac6fde
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	ninja
BuildRequires:	phonon-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-phonon-devel
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JuK is an audio jukebox application, supporting collections of MP3,
Ogg Vorbis, and FLAC audio files. It allows you to edit the "tags" of
your audio files, and manage your collection and playlists. It's main
focus, in fact, is on music management.

Features

• Collection list and multiple user defined playlists
• Ability to scan directories to automatically import playlists and
  music files on start up
• Dynamic Search Playlists that are automatically updated as fields in
  the collection change.
• A Tree View mode where playlists are automatically generated for
  sets of albums, artists and genres.
• Playlist history to indicate which files have been played and when.
• Inline search for filtering the list of visible items.
• The ability to guess tag information from the file name or using
  MusicBrainz online lookup.
• File renamer that can rename files based on the tag content.
• ID3v1, ID3v2 and Ogg Vorbis tag reading and editing support (via
  TagLib).

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/sr
%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/juk
%{_datadir}/dbus-1/interfaces/org.kde.juk.collection.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.player.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.search.xml
%{_iconsdir}/hicolor/128x128/apps/juk.png
%{_iconsdir}/hicolor/16x16/apps/juk.png
%{_iconsdir}/hicolor/32x32/apps/juk.png
%{_iconsdir}/hicolor/48x48/apps/juk.png
%{_iconsdir}/hicolor/64x64/apps/juk.png
%{_datadir}/metainfo/org.kde.juk.appdata.xml
%{_desktopdir}/org.kde.juk.desktop
%{_datadir}/juk
%{_datadir}/kservices5/ServiceMenus/jukservicemenu.desktop
%{_datadir}/kxmlgui5/juk
%changelog
* Fri May 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-juk.git;a=log;h=master

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> c0b1fe5
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> a9d1214
- updated to 18.12.1; ninja

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 3335450
- updated to 18.12.0

* Thu Apr 26 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 1d4d114
- so high versions of phonon are not mandatory

* Wed Apr 25 2018 Witold Filipczyk <witekfl@poczta.onet.pl> bb08e31
- updated to 18.04.0

* Sun Nov 05 2017 Witold Filipczyk <witekfl@poczta.onet.pl> d51b171
- updated to 17.08.2

